# Copyright © 2016, 2022 Nick Bowler
# License GPLv3+: GNU General Public License version 3 or any later version.
# This is free software: you are free to change and redistribute it.
# There is NO WARRANTY, to the extent permitted by law.

EAPI=8

inherit autotools

MY_P=openchange-$PV-VULCAN

DESCRIPTION="Library implementing the Microsoft Exchange protocol"
HOMEPAGE="http://openchange.org"
SRC_URI="https://github.com/openchange/openchange/archive/$MY_P.tar.gz"

LICENSE="GPL-3+"
KEYWORDS="~amd64"
IUSE="cxx"
SLOT="0"

RDEPEND=">=net-fs/samba-4"
DEPEND="dev-util/pidl
	$RDEPEND"

PATCHES=(
	"$FILESDIR/$P-no-automake.patch"
	"$FILESDIR/$P-no-useless-cflags.patch"
	"$FILESDIR/$P-no-recompile-on-install.patch"
	"$FILESDIR/$P-no-build-tests.patch"
	"$FILESDIR/$P-configure-bashisms.patch"
	"$FILESDIR/$P-update-credentials-api.patch"
	"$FILESDIR/$P-update-ndr-api.patch"
	"$FILESDIR/$P-fix-pidl-compilation.patch"
)

S=$WORKDIR/openchange-$MY_P

src_prepare() {
	default_src_prepare
	eautoreconf
}

src_configure() {
	econf MYSQL_CONFIG=/bin/true \
	      NANOMSG_CFLAGS=' ' NANOMSG_LIBS=' ' \
	      MEMCACHED_CFLAGS=' ' MEMCACHED_LIBS=' ' \
	      MANUALLY_CREATE_SYMLINKS=yes \
	      --disable-pyopenchange
}

src_compile() {
	emake libmapi$(usex cxx xx '')
}

src_install() {
	emake DESTDIR="$D" libmapi-install $(usex cxx libmapixx-install '')
}
